/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

extern uint16_t OVERWORLD_CAMERA_X;
extern int8_t OVERWORLD_CAMERA_SUB_X;
extern uint16_t OVERWORLD_CAMERA_Y;
extern int8_t OVERWORLD_CAMERA_SUB_Y;


/**
 * Initializes the overworld.
 */
void overworldInit(void);

/**
 * Updates the overworld.
 */
void overworldUpdate(void);